MediaWiki:Monobook.css

From WRG
Jump to navigationJump to search

Note: After saving, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Go to Menu → Settings (Opera → Preferences on a Mac) and then to Privacy & security → Clear browsing data → Cached images and files.
/* edit this file to customize the monobook skin for the entire site */
/*
<pre>

WRG Standard Colors:
  Dark Color       #493434
  Background Color #FFFFE4
  Light Color      #FFFFF6
  Misc1            #BFA576
  Misc2            #DFD2BB

*/

/* Color Changes to match WRG's color scheme */
#content {
    background: #FFFFE4;
    background-color: #FFFFE4;
    color: #493434;
}

div#content {
    background: #FFFFE4;
    background-color: #FFFFE4;
    color: #493434;
}

body {
    background: #FFFFE4;
    background-color: #FFFFE4;
    color: #493434;
}
table {
    background: #FFFFE4;
    background-color: #FFFFE4;
    color: #493434;
}
h1, h2, h3, h4, h5, h6 {
    color: #493434;
}
pre {
    border: 1px dashed black;
    color: #493434;
    background-color: #FFFFE4;
}
#footer {
    background-color: #FFFFE4;
    border-top: 1px solid #fabd23;
    border-bottom: 1px solid #fabd23;
}
#p-cactions li a {
    background-color: #FFFFE4;
    color: #493434;
}
.pBody {
    background-color: #FFFFF6;
    color: #493434;
}

div.thumb div {
    border: 1px solid #493434;
    background-color: #FFFFF6;
}


/* Remove the little link icons */
#bodyContent a[href ^="http://"],
#bodyContent a[href ^="gopher://"] {
    background: none;
    padding-right: 0px;
}
#bodyContent a[href ^="https://"],
.link-https {
    background: none;
}

/* Styles for Search Results */

div.titles_searchhitlink
{
  background-color: #FFFFE4;
  margin-bottom: 0.5em;
  font-weight: bold;
}

div.body_searchhitlink
{
  background-color: #c7c7c7;
  font-weight: bold;
}

div.body_searchhitcontext
{
  margin-left: 0em;
  margin-bottom: 10px;
  background-color: #eeeeee;
}

div.titles_searchhitcontext
{
   display: none;
}

span.titles_searchhitline,
span.body_searchhitline
{
}

span.titles_searchmatch,
span.body_searchmatch {
        color:black;
        font-weight: bold;
        background-color:yellow;
}

ol.searchresultslist {
  position: relative;
}


/* Removed the dotted box around pre sections */
pre {
    border: none;
}

#catlinks {
    border: 1px solid #493434;
    background-color: #fffff6;
}

/* Styles for Discussion Forum */

.wf.thread_col.col03,
.wf.thread_col.col04,
.wf.thread_col.col05 {
  text-align: center;
}

div.wf.forum_index {
  font-family: Verdana, Arial, Helvetica, sans-serif
}

div.wf.forum_index.header {
  border: 1px solid #493434; 
  padding: 5px;  
  color:white;
  font-size: medium;
  font-weight: bold;
  margin-bottom:5px;
  background-color: #493434;
}

div.wf.forum_index.category {
  border: 1px solid #493434; 
  padding: 5px;  
  font-weight: bold;
  margin-bottom:5px;
  background-color: #FFFFF6;
}

div.wf.forum_index.category.title{
  border: none;
  padding: 0px;
}

div.wf.forum_index.category.description{
  border: none;
  font-weight: normal;
  padding: 0px
}

#Thread_entry {
	border: 1px solid #493434; 
	padding: 5px;  
	margin-bottom:5px
}

#Thread_reply {
	border: 1px solid #493434; 
	padding: 5px;  
	margin-bottom:5px
}

td.Thread_date {
	font-size: smaller;
}

td.Thread_author {
	font-weight: bold;
}

td.Thread_text 
{
	
}

#Discussion_Category {
	border: 1px solid #493434; 
	padding: 5px;  
	margin-bottom:5px;
	background-color: #FFFFF6;
}

/* Set the font to courier on the lineages page */
#Lineages {
        font-family: Monospace;
        font-size: 90%;
}

/* NOTE: Convert to using this class set rather than the id set */
/* Set the format for <p class="plaintext"> to replace <pre> on pages */
/* This allows a pre-like behavior, but allows links on those pages */
/* White-Space: pre means to do it like pre, but because we're in a <p> it works! */
.Plaintext {
        font-family: Monospace;
        font-size: 100%;
        white-space: pre;
}

.Plaintext80 {
        font-family: Monospace;
        font-size: 80%;
        white-space: pre;
}

.Plaintext90 {
        font-family: Monospace;
        font-size: 90%;
        white-space: pre;
}

/* Remove for now, still not working right
.Plaintext pre {
    padding: 0px;
    border: none;
    line-height: 1.5em;
}

/* Set the format for <p id="plaintext"> to replace <pre> on pages */
/* This allows a pre-like behavior, but allows links on those pages */
/* White-Space: pre means to do it like pre, but because we're in a <p> it works! */
#Plaintext {
        font-family: Monospace;
        font-size: 100%;
        white-space: pre;
}

#Plaintext80 {
        font-family: Monospace;
        font-size: 80%;
        white-space: pre;
}

#Plaintext90 {
        font-family: Monospace;
        font-size: 90%;
        white-space: pre;
}

/* Remove for now, still not working right
#Plaintext pre {
    padding: 0px;
    border: none;
    line-height: 1.5em;
}

*/

/* Set the font to courier on the Pierce pages */
/* White-Space: pre means to do it like pre, but because we're in a <p> it works! */
#Pierce-text {
        font-family: Monospace;
        font-size: 100%;
        white-space: pre;
}

#Pierce-text pre {
    padding: 0px;
    border: none;
    line-height: 1.5em;
}

/* Styles for Login Page */

form#userlogin {
  float: left;
  padding: 1em 1em .7em 1em;
  background-color: #ffffe6;
  border: 2px solid #fc6;
  color: #000;
  margin-right: 2em;
  margin-bottom: 2em;
  width: 65%;
}

form#userlogin table {
  float: left;
  background-color: #ffffe6;
  color: #000;
}

#userlogin_div {
  clear: both;
}

#userlogin2_div {
  clear: both;
}

form#userlogin2 {
  float: left;
  padding: 1em 1em .7em 1em;
  background-color: #ffffe6;
  border: 2px solid #fc6;
  color: #000;
  margin-right: 2em;
  width: 65%;
  clear: both;
}

form#userlogin2 table {
  float: left;
  background-color: #ffffe6;
  color: #000;
  clear: both;
}

#login-new-title, #login-returning-title {
  font-weight: normal;
  font-size: 150%;
  padding-bottom: 0.5em;
}

/* Discussion Forum Index Styles */

/* Table Header Style */
#forumIndex th {
    background-color: #493434;
    text-align: center;
    font-weight: bold;
}

/* Table Data Other Column, non Sticky Row Style */
#forumIndex td#cols-0 {
    background-color: #FFFFE4;
    text-align: center;
}
/* Since we don't get sticky back currently... */
#forumIndex td#cols- {
    background-color: #FFFFE4;
    text-align: center;
}

/* Table Data First Column, non Sticky Row Style */
#forumIndex td#col1-0 {
    background-color: #FFFFF6;
    text-align: left;
    font-weight: bold;
}

#forumIndex td#col1- {
    background-color: #FFFFF6;
    text-align: left;
    font-weight: bold;
}

#forumIndex a.external {
    color: white;
}


/* Styles for Printable Version */
#content a.external.text:after, #content a.external.autonumber:after {
  /* Expand URLs for printing - Don't put the ugly link addresses*/
  content: normal;
    background: none;
    padding-right: 0px;
}

/* Bold 'edit this page' link to encourage newcomers */
#ca-edit a { font-weight: bold !important; }

/* Change the background color of the thumbnails */
div.thumb {
    border-color: #FFFFE4;
}

/* Create a Family Group */
div.CFSection {
  border: 1px solid #493434; 
  padding: 5px;  
  margin-bottom:5px;
  background-color: #FFFFF6;
}
div.CFSection table {
  background-color: #FFFFF6;
}

div.CFSection2 {
  border: 1px solid #493434; 
  padding: 5px;  
  margin-bottom:5px;
  background-color: #FFFFF6;
}
div.CFSection2 table {
  background-color: #FFFFF6;
}

#p-cactions li.selected a {
  z-index: 3;
  background-color: #FFFFE4;
  padding: 0 1em .2em!important;
}

/* default skin for navigation boxes */
table.navbox {
    background-color: #FFFFE4;
    border: 1px solid #493434;
    clear: both;
    font-size: 90%;
    margin: 1em 0em 0em;
    padding: 2px;
    text-align: left;
    width: 100%;
}

table.navbox th {
    background-color: #FFFFF6;
    padding-left: 1em;
    padding-right: 1em;
    text-align: center;
    font-size: 110%;
}

table.navbox tr:not(:first-child) th {
    background-color: #ddf;
}

@media print {
    .navbox {
        display: none;
    }
}

/* Standard Navigationsleisten, aka box hiding thingy from .de.  Documentation at [[Wikipedia:NavFrame]]. */

div.Boxmerge,
div.NavFrame {
        margin: 0px;
        padding: 4px;
        border: 1px solid #493434;
        text-align: left;
        border-collapse: collapse;
        font-size: 95%;
}
div.Boxmerge div.NavFrame {
        border-style: none;
        border-style: hidden;
}
div.NavFrame + div.NavFrame {
        border-top-style: none;
        border-top-style: hidden;
}
div.NavPic {
        background-color: #fff;
        margin: 0px;
        padding: 2px;
        float: left;
}
div.NavFrame div.NavHead {
        height: 1.6em;
        font-weight: bold;
        background-color: #FFFFF6;
        position:relative;
}
div.NavFrame p {
        font-size: 100%;
}
div.NavFrame div.NavContent {
        font-size: 100%;
}
div.NavFrame div.NavContent p {
        font-size: 100%;
}
div.NavEnd {
        margin: 0px;
        padding: 0px;
        line-height: 1px;
        clear: both;
}
a.NavToggle {
        position:absolute;
        top:0px;
        right:3px;
        font-weight:normal;
        font-size:smaller;
}

/* wikitable/prettytable class for skinning normal tables */
table.wikitable,
table.prettytable {
    margin: 1em 1em 1em 0;
    background: #f9f9f9;
    border: 1px #aaa solid;
    border-collapse: collapse;
}
 
table.wikitable th, table.wikitable td,
table.prettytable th, table.prettytable td {
    border: 1px #aaa solid;
    padding: 0.2em;
}
 
table.wikitable th,
table.prettytable th {
    background: #f2f2f2;
    text-align: center;
}
 
table.wikitable caption,
table.prettytable caption {
    margin-left: inherit;
    margin-right: inherit;
    font-weight: bold;
}
 
table.prettytable code,
table.wikitable code {
    background-color: transparent;
}

/*
</pre>
*/